## tabnet 0.1.0

=== DESCRIPTION ===
Package: tabnet
Title: Fit 'TabNet' Models for Classification and Regression
Version: 0.1.0
Authors@R: c(
    person(given = "Daniel", family = "Falbel", role = c("aut", "cre"), email = "daniel@rstudio.com"),
    person(family = "RStudio", role = c("cph"))
    )
Description: Implements the 'TabNet' model by Sercan O. Arik et al (2019) <arXiv:1908.07442>
    and provides a consistent interface for fitting and creating predictions. It's
    also fully compatible with the 'tidymodels' ecosystem.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Imports: torch, hardhat, magrittr, glue, progress, rlang, methods,
        tibble, vctrs
Suggests: testthat, modeldata, recipes, parsnip, dials, withr, knitr,
        rmarkdown, vip, tidyverse
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-01-11 13:47:17 UTC; dfalbel
Author: Daniel Falbel [aut, cre],
  RStudio [cph]
Maintainer: Daniel Falbel <daniel@rstudio.com>
Repository: CRAN
Date/Publication: 2021-01-14 09:30:02 UTC
