## tabnet 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tabnet
 Title: Fit 'TabNet' Models for Classification and Regression
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: c(
     person(given = "Daniel", family = "Falbel", role = c("aut", "cre"), email = "daniel@rstudio.com"),
     person(family = "RStudio", role = c("cph")),
@@ -17,13 +17,15 @@
 Imports: torch (>= 0.4.0), hardhat, magrittr, glue, progress, rlang,
         methods, tibble, coro, vctrs
 Suggests: testthat, modeldata, recipes, parsnip, dials, withr, knitr,
-        rmarkdown, vip, tidyverse, ggplot2, dplyr, tidyr, purrr
+        rmarkdown, vip, tidyverse, ggplot2, dplyr, tidyr, purrr, tune,
+        workflows
 VignetteBuilder: knitr
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2021-06-22 20:18:02 UTC; dfalbel
+Packaged: 2021-10-11 16:28:15 UTC; dfalbel
 Author: Daniel Falbel [aut, cre],
   RStudio [cph],
   Christophe Regouby [ctb]
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-06-22 22:00:02 UTC
+Date/Publication: 2021-10-11 17:00:02 UTC
