## tabnet 0.4.0

=== DESCRIPTION ===
Package: tabnet
Title: Fit 'TabNet' Models for Classification and Regression
Version: 0.4.0
Authors@R: c(
    person(given = "Daniel", family = "Falbel", role = c("aut"), email = "daniel@rstudio.com"),
    person(family = "RStudio", role = c("cph")),
    person(given = "Christophe", family = "Regouby", role = c("cre", "ctb"), email = "christophe.regouby@free.fr"),
    person(given = "Egill", family = "Fridgeirsson", role = c("ctb")),
    person(given = "Philipp", family = "Haarmeyer", role = c("ctb"))
    )
Description: Implements the 'TabNet' model by Sercan O. Arik et al. (2019) <arXiv:1908.07442>
    and provides a consistent interface for fitting and creating predictions. It's
    also fully compatible with the 'tidymodels' ecosystem.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
URL: https://github.com/mlverse/tabnet
BugReports: https://github.com/mlverse/tabnet/issues
Imports: torch (>= 0.4.0), hardhat (>= 1.3.0), magrittr, glue,
        progress, rlang, methods, tibble, coro, vctrs
Suggests: testthat (>= 3.0.0), modeldata, recipes, rsample, parsnip,
        dials, withr, knitr, rmarkdown, vip, tidyverse, ggplot2, dplyr,
        tidyr, purrr, stringr, tune, workflows, yardstick
VignetteBuilder: knitr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2023-05-10 07:09:12 UTC; creg
Author: Daniel Falbel [aut],
  RStudio [cph],
  Christophe Regouby [cre, ctb],
  Egill Fridgeirsson [ctb],
  Philipp Haarmeyer [ctb]
Maintainer: Christophe Regouby <christophe.regouby@free.fr>
Repository: CRAN
Date/Publication: 2023-05-11 08:50:02 UTC
