## tabnet 0.5.0

=== DESCRIPTION ===
Package: tabnet
Title: Fit 'TabNet' Models for Classification and Regression
Version: 0.5.0
Authors@R: c(
    person(given = "Daniel", family = "Falbel", role = c("aut"), email = "daniel@rstudio.com"),
    person(family = "RStudio", role = c("cph")),
    person(given = "Christophe", family = "Regouby", role = c("cre", "ctb"), email = "christophe.regouby@free.fr"),
    person(given = "Egill", family = "Fridgeirsson", role = c("ctb")),
    person(given = "Philipp", family = "Haarmeyer", role = c("ctb")),
    person(given = "Sven", family = "Verweij", role = c("ctb"),  comment = c(ORCID = "0000-0002-5573-3952"))
    )
Description: Implements the 'TabNet' model by Sercan O. Arik et al. (2019) <arXiv:1908.07442> 
    with 'Coherent Hierarchical Multi-label Classification Networks' by Giunchiglia et al.
    <arXiv:2010.10151> and provides a consistent interface for fitting and creating 
    predictions. It's also fully compatible with the 'tidymodels' ecosystem.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
URL: https://mlverse.github.io/tabnet/,
        https://github.com/mlverse/tabnet
BugReports: https://github.com/mlverse/tabnet/issues
Depends: R (>= 3.6)
Imports: torch (>= 0.4.0), hardhat (>= 1.3.0), magrittr, progress,
        rlang, methods, dplyr, tibble, tidyr, coro, vctrs, zeallot
Suggests: testthat (>= 3.0.0), data.tree, Matrix, modeldata, recipes,
        rsample, parsnip, dials, withr, knitr, rmarkdown, vip,
        tidyverse, ggplot2, purrr, stringr, tune, workflows, yardstick
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/testthat/parallel: false
Config/testthat/start-first: interface, explain, params
NeedsCompilation: no
Packaged: 2023-12-05 00:32:16 UTC; creg
Author: Daniel Falbel [aut],
  RStudio [cph],
  Christophe Regouby [cre, ctb],
  Egill Fridgeirsson [ctb],
  Philipp Haarmeyer [ctb],
  Sven Verweij [ctb] (<https://orcid.org/0000-0002-5573-3952>)
Maintainer: Christophe Regouby <christophe.regouby@free.fr>
Repository: CRAN
Date/Publication: 2023-12-05 10:00:02 UTC
