## tabnet 4.1.0%2Bds

=== debian/control ===
Source: tabnet
Section: python
Priority: optional
Maintainer: Debian Pan Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-python
 , pybuild-plugin-pyproject
 , python3-all
 , python3-poetry
 , python3-setuptools
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Vcs-Browser: https://salsa.debian.org/debian/tabnet
Vcs-Git: https://salsa.debian.org/debian/tabnet.git
Homepage: https://github.com/dreamquark-ai/tabnet
Rules-Requires-Root: no

Package: python3-tabnet
Architecture: all
Depends: ${misc:Depends}
 , python3-numpy
 , python3-scipy
 , python3-sklearn
 , python3-torch-cuda | python3-torch
 , python3-tqdm
 , python3:any
Description: Attentive Interpretable Tabular Learning
 python3-tabnet is a pyTorch implementation of Tabnet (TabNet: Attentive
 Interpretable Tabular Learning, https://arxiv.org/pdf/1908.07442.pdf).
 Please note that some different choices have been made overtime to improve
 the library which can differ from the orginal paper.
