=== debian/changelog ===
tabnet (4.1.0+ds-2) unstable; urgency=medium

  * Expand dependencies and add python3-torch-cuda as an alternative to
    python3-torch

 -- Yadd <yadd@debian.org>  Thu, 30 May 2024 07:07:19 +0400

tabnet (4.1.0+ds-1) unstable; urgency=low

  * Initial release (Closes: #1070408)

 -- Yadd <yadd@debian.org>  Sun, 05 May 2024 13:57:30 +0400
