=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
 https://github.com/dreamquark-ai/tabnet/tags .*/archive/.*/v?([\d\.]+).tar.gz
